Relesys API Docs

v1.4

https://api.uat.relesystest.net/api/v1.4

Stage Comments

List
GET /serviceformModules/{moduleId}/forms/{formId}/stageComments
https://api.uat.relesystest.net/api/v1.4/serviceformModules/{moduleId}/forms/{formId}/stageComments
Get a list of stage comments for the form with ID formId.

Please note: This endpoint is only available if stages are enabled on the service form module.
Scopes: relesys.api, relesys.api:read, relesys.api.serviceform, relesys.api.serviceform:read
URL Path
moduleId string / guid required
formId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
fillingId string / guid Filterable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
stageId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"7826651d-bddf-4089-9f47-17812e2ebea8","url":null,"fillingId":"8abab007-4293-4f91-ba28-04e2dec0bf60","fillingUrl":null,"stageId":"2667f27a-6690-4bbc-b4aa-22b5eed5c707","stageUrl":null,"userId":"40091994-2c92-45e6-b21d-52529d478d96","userUrl":null,"creationDateTime":"2026-10-25T06:18:13.4964368+00:00","lastModifiedDateTime":"2026-10-26T06:18:13.4964368+00:00","value":"Stage Comment 1","medias":[{"id":"bcdcc934-0d72-420d-81b5-8387a5bd4c27","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"ec0726ea-b0ad-45bc-8dfd-bff646e3ce33","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"}]},{"id":"acbb1b43-9e30-4e9e-bfdd-f58d70d93c27","url":null,"fillingId":"5f1eb5a0-86d7-496a-9109-f84285fa0a63","fillingUrl":null,"stageId":"d3fb3c9a-535a-429a-b0e1-0581d7d9f2f3","stageUrl":null,"userId":"10580483-a35d-4125-b0bc-c3de362fe8c1","userUrl":null,"creationDateTime":"2026-10-25T06:18:13.4964368+00:00","lastModifiedDateTime":null,"value":"Stage Comment 2","medias":[]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   fillingId string / guid      
   fillingUrl string      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   stageId string / guid      
   stageUrl string      
   url string      
   userId string / guid      
   userUrl string      
   value string      
  nextUrl string      
  previousUrl string